"""Add delete cascade

Revision ID: 463c3c6b8fb3
Revises: 3ca09fed2a2d
Create Date: 2024-11-27 13:23:51.541971+00:00

"""

from collections.abc import Sequence

from alembic import op

# revision identifiers, used by Alembic.
revision: str = "463c3c6b8fb3"
down_revision: str | None = "3ca09fed2a2d"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


# SQLite allows unnamed constraints.
# Simulate PostgreSQL naming conventions.
naming_convention = {
    "fk": "%(table_name)s_%(column_0_name)s_fkey",
}
FK_NAME = "dnscheck_domain_check_nsset_check_id_fkey"


def upgrade() -> None:
    with op.batch_alter_table("dnscheck_domain_check", naming_convention=naming_convention) as batch_op:
        batch_op.drop_constraint(FK_NAME, type_="foreignkey")
        batch_op.create_foreign_key(FK_NAME, "dnscheck_nsset_check", ["nsset_check_id"], ["id"], ondelete="CASCADE")


def downgrade() -> None:
    with op.batch_alter_table("dnscheck_domain_check", naming_convention=naming_convention) as batch_op:
        batch_op.drop_constraint(FK_NAME, type_="foreignkey")
        batch_op.create_foreign_key(FK_NAME, "dnscheck_nsset_check", ["nsset_check_id"], ["id"])
