"""Remove nsset check result

Revision ID: 5f4c8eaa7013
Revises: 1228f52303c9
Create Date: 2024-11-12 14:28:19.358145+00:00

"""

from collections.abc import Sequence

import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision: str = "5f4c8eaa7013"
down_revision: str | None = "1228f52303c9"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    op.drop_column("dnscheck_nsset_check", "result")
    sa.Enum("FAIL", "SUCCESS", name="nssetcheckresult").drop(op.get_bind())


def downgrade() -> None:
    sa.Enum("FAIL", "SUCCESS", name="nssetcheckresult").create(op.get_bind())
    op.add_column(
        "dnscheck_nsset_check",
        sa.Column(
            "result",
            postgresql.ENUM("FAIL", "SUCCESS", name="nssetcheckresult", create_type=False),
            autoincrement=False,
            nullable=True,
        ),
    )
