"""Remove NssetCheckStatus.CHECKED.

Revision ID: ca32a659b051
Revises: 1c48f73339e2
Create Date: 2024-09-12 11:58:53.785056+00:00

"""

from collections.abc import Sequence

from alembic import op
from alembic_postgresql_enum import TableReference

from dnscheck.settings import APP

# revision identifiers, used by Alembic.
revision: str = "ca32a659b051"
down_revision: str | None = "1c48f73339e2"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None

_SCHEMA = APP.settings.db_schema or "public"


def upgrade() -> None:
    op.sync_enum_values(  # type: ignore[attr-defined]
        _SCHEMA,
        "nssetcheckstatus",
        ["STARTED", "EVALUATED", "FINISHED"],
        [TableReference(table_schema=_SCHEMA, table_name="dnscheck_nsset_check", column_name="status")],
        enum_values_to_rename=[],
    )


def downgrade() -> None:
    op.sync_enum_values(  # type: ignore[attr-defined]
        _SCHEMA,
        "nssetcheckstatus",
        ["STARTED", "CHECKED", "EVALUATED", "FINISHED"],
        [TableReference(table_schema=_SCHEMA, table_name="dnscheck_nsset_check", column_name="status")],
        enum_values_to_rename=[],
    )
