"""Add unique active check index.

Revision ID: e7268657f0f8
Revises: 6bcf09626317
Create Date: 2024-10-15 09:31:44.984817+00:00

"""

from collections.abc import Sequence

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "e7268657f0f8"
down_revision: str | None = "ca32a659b051"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    op.create_index(
        "dnscheck_nsset_check_nsset_id_active",
        "dnscheck_nsset_check",
        ["nsset_id"],
        unique=True,
        sqlite_where=sa.text("status != 'FINISHED'"),
        postgresql_where=sa.text("status != 'FINISHED'"),
    )


def downgrade() -> None:
    op.drop_index(
        "dnscheck_nsset_check_nsset_id_active",
        table_name="dnscheck_nsset_check",
        sqlite_where=sa.text("status != 'FINISHED'"),
        postgresql_where=sa.text("status != 'FINISHED'"),
    )
